Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## BEA WebLogic Server 9.0 API Reference

## weblogic.uddi.client.service
Class Publish

    java.lang.Object
      weblogic.uddi.client.service.UDDIService
          weblogic.uddi.client.service.Publish

public class Publish
extends UDDIService

The Publish class holds all the publish api function.

  Copyright © 2005 BEA Systems, Inc. All Rights Reserved.

Field Summary

Fields inherited from class weblogic.uddi.client.service.UDDIService
`UDDI_APPNAME, UDDI_EXPLORER_APPNAME, URL`

Constructor Summary
`Publish()` Class constructor.

Method Summary
`DispositionReport` | `deleteBinding(DeleteBinding input)` Creates a soap message, using the requested delete_binding structure, to make a function call at the remote registry.
`DispositionReport` | `deleteBusiness(DeleteBusiness input)` Creates a soap message, using the requested delete_business structure, to make a function call at the remote registry.
`DispositionReport` | `deleteService(DeleteService input)` Creates a soap message, using the requested delete_service structure, to make a function call at the remote registry.
`DispositionReport` | `deleteTModel(DeleteTModel input)` Creates a soap message, using the requested delete_tModel structure, to make a function call at the remote registry.
`DispositionReport` | `discardAuthToken(DiscardAuthToken input)` Creates a soap message, using the requested discard_authToken structure, to make a function call at the remote registry.
`AuthToken` | `getAuthToken(GetAuthToken input)` Creates a soap message, using the requested get_authToken structure, to make a function call at the remote registry.
`RegisteredInfo` | `getRegisteredInfo(GetRegisteredInfo input)` Creates a soap message, using the requested get_registeredInfo structure, to make a function call at the remote registry.
`BindingDetail` | `saveBinding(SaveBinding input)` Creates a soap message, using the requested save_binding structure, to make a function call at the remote registry.
`BusinessDetail` | `saveBusiness(SaveBusiness input)` Creates a soap message, using the requested save_business structure, to make a function call at the remote registry.
`ServiceDetail` | `saveService(SaveService input)` Creates a soap message, using the requested save_service structure, to make a function call at the remote registry.
`TModelDetail` | `saveTModel(SaveTModel input)` Creates a soap message, using the requested save_tModel structure, to make a function call at the remote registry.
`DispositionReport` | `validateCategorization(ValidateCategorization input)` Creates a soap message, using the requested validate_categorization structure, to make a function call at the remote registry.

Methods inherited from class weblogic.uddi.client.service.UDDIService
`getURL, setURL`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Publish

    public Publish()

  Class constructor.

Method Detail

### deleteBinding

    public DispositionReport deleteBinding(DeleteBinding input)
                                    throws UDDIException,
                                           XML_SoapException

  Creates a soap message, using the requested delete_binding structure, to make a function call at the remote registry.

  Parameters:
    `input` - the delete_binding structure reqested for the function call.
  Returns:
    disposition report denoting success.
  Throws:
    `uddi.structures.exception.UDDIException` - error in the function call.
    `uddi.structures.exception.XML_SoapException` - error in creating and sending of soap message.
    `UDDIException`
    `XML_SoapException`

### deleteBusiness

    public DispositionReport deleteBusiness(DeleteBusiness input)
                                     throws UDDIException,
                                            XML_SoapException

  Creates a soap message, using the requested delete_business structure, to make a function call at the remote registry.

  Parameters:
    `input` - the delete_business structure reqested for the function call.
  Returns:
    disposition report denoting success.
  Throws:
    `uddi.structures.exception.UDDIException` - error in the function call.
    `uddi.structures.exception.XML_SoapException` - error in creating and sending of soap message.
    `UDDIException`
    `XML_SoapException`

### deleteService

    public DispositionReport deleteService(DeleteService input)
                                    throws UDDIException,
                                           XML_SoapException

  Creates a soap message, using the requested delete_service structure, to make a function call at the remote registry.

  Parameters:
    `input` - the delete_service structure reqested for the function call.
  Returns:
    disposition report denoting success.
  Throws:
    `uddi.structures.exception.UDDIException` - error in the function call.
    `uddi.structures.exception.XML_SoapException` - error in creating and sending of soap message.
    `UDDIException`
    `XML_SoapException`

### deleteTModel

    public DispositionReport deleteTModel(DeleteTModel input)
                                   throws UDDIException,
                                          XML_SoapException

  Creates a soap message, using the requested delete_tModel structure, to make a function call at the remote registry.

  Parameters:
    `input` - the delete_tModel structure reqested for the function call.
  Returns:
    disposition report denoting success.
  Throws:
    `uddi.structures.exception.UDDIException` - error in the function call.
    `uddi.structures.exception.XML_SoapException` - error in creating and sending of soap message.
    `UDDIException`
    `XML_SoapException`

### discardAuthToken

    public DispositionReport discardAuthToken(DiscardAuthToken input)
                                       throws UDDIException,
                                              XML_SoapException

  Creates a soap message, using the requested discard_authToken structure, to make a function call at the remote registry.

  Parameters:
    `input` - the discard_authToken structure reqested for the function call.
  Returns:
    disposition report denoting success.
  Throws:
    `uddi.structures.exception.UDDIException` - error in the function call.
    `uddi.structures.exception.XML_SoapException` - error in creating and sending of soap message.
    `UDDIException`
    `XML_SoapException`

### getAuthToken

    public AuthToken getAuthToken(GetAuthToken input)
                           throws UDDIException,
                                  XML_SoapException

  Creates a soap message, using the requested get_authToken structure, to make a function call at the remote registry.

  Parameters:
    `input` - the get_authToken structure reqested for the function call.
  Returns:
    authentication token consisting of authorization information.
  Throws:
    `uddi.structures.exception.UDDIException` - error in the function call.
    `uddi.structures.exception.XML_SoapException` - error in creating and sending of soap message.
    `UDDIException`
    `XML_SoapException`

### getRegisteredInfo

    public RegisteredInfo getRegisteredInfo(GetRegisteredInfo input)
                                     throws UDDIException,
                                            XML_SoapException

  Creates a soap message, using the requested get_registeredInfo structure, to make a function call at the remote registry.

  Parameters:
    `input` - the get_registeredInfo structure reqested for the function call.
  Returns:
    registered information controlled by the user.
  Throws:
    `uddi.structures.exception.UDDIException` - error in the function call.
    `uddi.structures.exception.XML_SoapException` - error in creating and sending of soap message.
    `UDDIException`
    `XML_SoapException`

### saveBinding

    public BindingDetail saveBinding(SaveBinding input)
                              throws UDDIException,
                                     XML_SoapException

  Creates a soap message, using the requested save_binding structure, to make a function call at the remote registry.

  Parameters:
    `input` - the save_binding structure reqested for the function call.
  Returns:
    details about the binding saved/updated.
  Throws:
    `uddi.structures.exception.UDDIException` - error in the function call.
    `uddi.structures.exception.XML_SoapException` - error in creating and sending of soap message.
    `UDDIException`
    `XML_SoapException`

### saveBusiness

    public BusinessDetail saveBusiness(SaveBusiness input)
                                throws UDDIException,
                                       XML_SoapException

  Creates a soap message, using the requested save_business structure, to make a function call at the remote registry.

  Parameters:
    `input` - the save_business structure reqested for the function call.
  Returns:
    details about the business saved/updated.
  Throws:
    `uddi.structures.exception.UDDIException` - error in the function call.
    `uddi.structures.exception.XML_SoapException` - error in creating and sending of soap message.
    `UDDIException`
    `XML_SoapException`

### saveService

    public ServiceDetail saveService(SaveService input)
                              throws UDDIException,
                                     XML_SoapException

  Creates a soap message, using the requested save_service structure, to make a function call at the remote registry.

  Parameters:
    `input` - the save_service structure reqested for the function call.
  Returns:
    details about the service saved/updated.
  Throws:
    `uddi.structures.exception.UDDIException` - error in the function call.
    `uddi.structures.exception.XML_SoapException` - error in creating and sending of soap message.
    `UDDIException`
    `XML_SoapException`

### saveTModel

    public TModelDetail saveTModel(SaveTModel input)
                            throws UDDIException,
                                   XML_SoapException

  Creates a soap message, using the requested save_tModel structure, to make a function call at the remote registry.

  Parameters:
    `input` - the save_tModel structure reqested for the function call.
  Returns:
    details about the tModel saved/updated.
  Throws:
    `uddi.structures.exception.UDDIException` - error in the function call.
    `uddi.structures.exception.XML_SoapException` - error in creating and sending of soap message.
    `UDDIException`
    `XML_SoapException`

### validateCategorization

    public DispositionReport validateCategorization(ValidateCategorization input)
                                             throws UDDIException,
                                                    XML_SoapException

  Creates a soap message, using the requested validate_categorization structure, to make a function call at the remote registry.

  Parameters:
    `input` - the validate_categorization structure reqested for the function call.
  Returns:
    disposition report denoting success.
  Throws:
    `uddi.structures.exception.UDDIException` - error in the function call.
    `uddi.structures.exception.XML_SoapException` - error in creating and sending of soap message.
    `UDDIException`
    `XML_SoapException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs90 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD